package org.cyberlab;
import android.app.Activity;
import android.content.SharedPreferences;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.text.method.ScrollingMovementMethod;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

/**
 * 
 * Welcome activity. Gets run the first time the application is started (from {@link InitializeCategoryActivity}). Gives an introduction
 * to the demo and highlights the framework changes.
 * @author Mats-Gøran Karlsen
 *
 */
public class WelcomeActivity extends Activity implements OnClickListener{
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.welcome);
		setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
		Button go = (Button) findViewById(R.id.go);
		go.setOnClickListener(this);
		TextView tv = (TextView) findViewById(R.id.welcomeText);
		tv.setMovementMethod(new ScrollingMovementMethod());
		String welcometext = "Hi and welcome! This is a tech demo of Cyberlabs latest object recognition " +
				"framework, CyberlabOD. When you finally decide to continue the app will start the camera. " +
				"Your task is to find objects linked to a short quiz. The application will end when you have finished all of these. " +
				"\n\n " +
				"Highlights of new framework functionality: \n" +
				"- Server supported feature and descriptor extraction and automated degraded functionality on network failure.\n" +
				"- Full support for model persistence of LICOV models (Linear Combination of Views) through XML or YAML.\n" +
				"- Full support for all of OpenCVs feature and descriptor extractors in LICOV object matching and extraction. Early tests" +
				"  show that most of these are ill fitted for the LICOV model though. These enhancements should ease the introduction" +
				" of new recognition schemes in the future.\n" + 
				"- Database download support.\n" +
				"- Extendable base activities and tasks + task manager.\n" +
				"- Total refactoring of framework layout.\n" +
				"- Android version >= 2.3.1." +
				"\n\n PS! For future demonstrations (after demo servers go down) " +
				"it is possible to change the server settings. These can be accessed through the options menu. " +
				"To get there cancel the camera.";
		tv.setText(welcometext);
	}

	@Override
	public void onClick(View v) {
		SharedPreferences.Editor editor = PreferenceManager.getDefaultSharedPreferences(this).edit();
		editor.putBoolean("welcomerunonce", true);
		editor.commit();
		finish();
	}
}
