package org.cyberlab.animation;

import android.content.Context;
import android.util.AttributeSet;
import android.view.animation.Transformation;
import android.view.animation.TranslateAnimation;
import android.widget.ImageView;

public class MyTranslateAnimation extends TranslateAnimation {

	private ImageView bar;
	private boolean animating;
	
	public MyTranslateAnimation(ImageView img, int fromXType, float fromXValue, int toXType,
			float toXValue, int fromYType, float fromYValue, int toYType,
			float toYValue) {
		super(fromXType, fromXValue, toXType, toXValue, fromYType, fromYValue, toYType,
				toYValue);
		this.bar = img;
		this.setRepeatCount(TranslateAnimation.INFINITE);
        this.setDuration(5000);
        this.setFillAfter(true);
		
	}

	public MyTranslateAnimation(ImageView img, float fromXDelta, float toXDelta,
			float fromYDelta, float toYDelta) {
		super(fromXDelta, toXDelta, fromYDelta, toYDelta);
		this.bar = img;
	}

	public MyTranslateAnimation(ImageView img, Context context, AttributeSet attrs) {
		super(context, attrs);
		this.bar = img;
	}

	public void startAnimation(){
		animating = true;
		bar.startAnimation(this);
	}
	
	public boolean isAnimating(){
		return animating;
	}
	
	public void stopAnimation(){
		animating = false;
		bar.getAnimation().cancel();
		bar.getAnimation().reset();
	}
	
	@Override
	protected void applyTransformation(float interpolatedTime, Transformation t) {
		super.applyTransformation(interpolatedTime, t);
	}
}
