package org.cyberlab;

import org.cyberlab.R;

import android.app.Activity;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;


/**
 * 
 * User help for creating LICOV models. Gets called from {@link CreateLicovModelActivity}.
 * @author Mats-Gøran Karlsen
 *
 */
public class CreatorHelpAcvtivity extends Activity implements OnClickListener{

	private LinearLayout[] layouts;
	private Button next, close;
	private int countLayoutNumber;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.creatorhelp);
		setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);
		layouts = new LinearLayout[] {(LinearLayout) findViewById(R.id.startLayout1), 
										(LinearLayout) findViewById(R.id.startLayout2), 
										(LinearLayout) findViewById(R.id.startLayout3),
										(LinearLayout) findViewById(R.id.goodPoseLayout),
										(LinearLayout) findViewById(R.id.badPoseLayout),
										(LinearLayout) findViewById(R.id.modelAssessementLayout),
										(LinearLayout) findViewById(R.id.closeLayout)};
		next = (Button) findViewById(R.id.next);
		next.setVisibility(Button.VISIBLE);
		next.setOnClickListener(this);
		close = (Button) findViewById(R.id.close);
		close.setVisibility(Button.GONE);
		close.setOnClickListener(this);
		countLayoutNumber = -1;
		layouts[++countLayoutNumber].setVisibility(LinearLayout.VISIBLE);
	}

	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.next:
			layouts[countLayoutNumber].setVisibility(LinearLayout.GONE);
			layouts[++countLayoutNumber].setVisibility(LinearLayout.VISIBLE);
			if (countLayoutNumber == layouts.length-1) {
				next.setVisibility(Button.GONE);
				close.setVisibility(Button.VISIBLE);
			}
			break;
		default:
			finish();
			break;
		}
		
	}
}
