package org.cyberlab;
import org.cyberlab.R;
import org.cyberlab.extendable.AbstractRootListActivity;

import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;


/**
 * 
 * Activity for showing all assignment sets in the database that have Recognition Questions in them.
 * Gets called from {@link MainMenuActivity}.
 * @author Mats-Gøran Karlsen
 *
 */
public class SetListActivity extends AbstractRootListActivity {
	
	@Override
	protected void fillData() {
		Cursor setCursor = mDbAdapter.getModelSets();
		startManagingCursor(setCursor);
		String[] from = new String[] {"ctext"};
		int[] to = new int[] {R.id.row_head};
		SimpleCursorAdapter sets = new SimpleCursorAdapter(this, R.layout.listrow, setCursor, from, to);
		setListAdapter(sets);

	}

	@Override
	protected void onListItemClick(ListView l, View v, int position, long id) {
		super.onListItemClick(l, v, position, id);
		Bundle bundle = new Bundle();
		bundle.putInt("filterId", (int) id);
		Intent intent = new Intent(this, AssignmentListActivity.class);
		intent.putExtras(bundle);
		startActivity(intent);
	}
	
}
